MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029509Open CASCADE[OCCT] OCCT:Visualizationpublic2018-02-14 22:562018-06-29 21:21
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSAndroidOS Version7.0 Nougat
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029509: Visualization, TKOpenGl - Weighted OIT + MSAA shader compilation errors
DescriptionWhen both Weighted OIT and MSAA are enabled, the shader compilation errors occur:
        #version 300 es
      <...>
      uniform sampler2DMS uAccumTexture;
      uniform sampler2DMS uWeightTexture;
      THE_SHADER_IN vec2 TexCoord;
      void main()
      {
        ivec2 aTexel  = ivec2 (textureSize (uAccumTexture) * TexCoord);
        vec4 aAccum   = texelFetch (uAccumTexture,  aTexel, gl_SampleID);
        float aWeight = texelFetch (uWeightTexture, aTexel, gl_SampleID).r;
        occSetFragColor (vec4 (aAccum.rgb / max (aWeight, 0.00001), aAccum.a));
      }
21:50 TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
        Failed to compile shader object. Compilation log:
      ERROR: 0:268: '*' :  wrong operand types  no operation '*' exists that takes a left-hand operand 
of type '2-component vector of int' and a right operand of type 'varying 2-component vector of float' 
(or there is no acceptable conversion)
      ERROR: 0:269: 'gl_SampleID' : requires extension GL_OES_sample_variables to be enabled 
      ERROR: 0:270: 'gl_SampleID' : requires extension GL_OES_sample_variables to be enabled 
      ERROR: 3 compilation errors.  No code generated.
21:50 TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
        Initialization of OIT compositing pass has failed.
        Blended order-independent transparency will not be available.
21:50 TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
        Initialization of OIT compositing pass has failed.
        Blended order-independent transparency will not be available.


on the following device:
21:49 EGLVersion: 1.4 Android META-EGL
      EGLVendor: Android
      EGLClientAPIs: OpenGL_ES
      GLvendor: Qualcomm
      GLdevice: Adreno (TM) 530
      GLversion: OpenGL ES 3.2 V@145.0 (GIT@I25dc76dc3f) [GLSL: OpenGL ES GLSL ES 3.20]
      Max texture size: 16384
      Max combined texture units: 96
      Max MSAA samples: 4
      Viewport: 2048x1488
      Display scale: 1.7
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Filestxt file icon oit.msaa.fail.txt (17,774 bytes) 2018-02-15 09:44

- Relationships
child of 0027925closedbugmaster Visualization - implement order-independent transparency algorithm within rasterization rendering 

-  Notes
(0073994)
git (administrator)
2018-02-14 22:59

Branch CR29509 has been created by kgv.

SHA-1: 7206b845234a5ec61e80dc60b2d3d7951cc0b34d


Detailed log of new commits:

Author: kgv
Date: Wed Feb 14 22:58:34 2018 +0300

    0029509: Visualization, TKOpenGl - Weighted OIT + MSAA shader compilation errors
    
    Fix implicit cast ivec2->vec2 and specify GLSL version to "320 es" on appropriate devices.
(0073997)
kgv (developer)
2018-02-15 09:39

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29509-master-KGV [^]
(0074002)
apn (administrator)
2018-02-15 13:08

Combination -
OCCT branch : CR29509 SHA - 7206b845234a5ec61e80dc60b2d3d7951cc0b34d
Products branch : master SHA - 41720ba4c544483d56753d7b5ec17b6a72bfac64
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18311.50999999956 / 18375.13999999976 [-0.35%]
Products
Total CPU difference: 7506.52999999997 / 7504.889999999995 [+0.02%]
Windows-64-VC10:
OCCT
Total CPU difference: 17691.667807398586 / 17692.572613198507 [-0.01%]
Products
Total CPU difference: 8027.889460499976 / 8097.855908999923 [-0.86%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074292)
git (administrator)
2018-03-06 15:50

Branch CR29509 has been deleted by kgv.

SHA-1: 7206b845234a5ec61e80dc60b2d3d7951cc0b34d

- Related Changesets
occt: master e3744452
Timestamp: 2018-02-14 19:58:34
Author: kgv
Committer: apn
Details ] Diff ]
0029509: Visualization, TKOpenGl - Weighted OIT + MSAA shader compilation errors

Fix implicit cast ivec2->vec2 and specify GLSL version to "320 es" on appropriate devices.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-14 22:56 kgv New Issue
2018-02-14 22:56 kgv Assigned To => kgv
2018-02-14 22:59 git Note Added: 0073994
2018-02-14 23:00 kgv Description Updated View Revisions
2018-02-14 23:05 kgv Relationship added child of 0027925
2018-02-15 09:39 kgv Note Added: 0073997
2018-02-15 09:39 kgv Assigned To kgv => bugmaster
2018-02-15 09:39 kgv Status new => resolved
2018-02-15 09:40 kgv Status resolved => reviewed
2018-02-15 09:43 kgv File Added: oit.msaa.fail
2018-02-15 09:43 kgv File Deleted: oit.msaa.fail
2018-02-15 09:44 kgv File Added: oit.msaa.fail.txt
2018-02-15 09:46 kgv Description Updated View Revisions
2018-02-15 13:08 apn Test case number => Not needed
2018-02-15 13:08 apn Note Added: 0074002
2018-02-15 13:08 apn Status reviewed => tested
2018-02-18 13:00 apn Changeset attached => occt master e3744452
2018-02-18 13:00 apn Assigned To bugmaster => apn
2018-02-18 13:00 apn Status tested => verified
2018-02-18 13:00 apn Resolution open => fixed
2018-03-06 15:50 git Note Added: 0074292
2018-06-29 21:16 aiv Fixed in Version => 7.3.0
2018-06-29 21:21 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker